Module jdk.jdi
Package com.sun.jdi.connect

## Interface Connector.BooleanArgument

- All Superinterfaces:
    `Connector.Argument`, `Serializable`
  Enclosing interface:
    Connector

      public static interface Connector.BooleanArgument
      extends Connector.Argument

  Specification for and value of a Connector argument, whose value is Boolean. Boolean values are represented by the localized versions of the strings "true" and "false".

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `booleanValue()` | Return the value of the argument as a boolean.
    `boolean` | `isValid​(String value)` | Performs basic sanity check of argument.
    `void` | `setValue​(boolean value)` | Sets the value of the argument.
    `String` | `stringValueOf​(boolean value)` | Return the string representation of the `value` parameter.

    - ### Methods declared in interface com.sun.jdi.connect.Connector.Argument

      `description, label, mustSpecify, name, setValue, value`

- - ### Method Detail

    - #### setValue

          void setValue​(boolean value)

      Sets the value of the argument.

    - #### isValid

          boolean isValid​(String value)

      Performs basic sanity check of argument.
      Specified by:
        `isValid` in interface `Connector.Argument`
      Returns:
        `true` if value is a string representation of a boolean value.
      See Also:
        `stringValueOf(boolean)`

    - #### stringValueOf

          String stringValueOf​(boolean value)

      Return the string representation of the `value` parameter. Does not set or examine the current value of `this` instance.
      Returns:
        the localized String representation of the boolean value.

    - #### booleanValue

          boolean booleanValue()

      Return the value of the argument as a boolean. Since the argument may not have been set or may have an invalid value `isValid(String)` should be called on `Connector.Argument.value()` to check its validity. If it is invalid the boolean returned by this method is undefined.
      Returns:
        the value of the argument as a boolean.